View Issue Details

IDProjectCategoryView StatusLast Update
16899Bug reportsOtherpublic2021-01-21 13:36
Reportercdorin Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status feedbackResolutionfixed 
Product Version4.x.0-dev 
Summary16899: Cannot attach PDF to email invitation (email template for surveys) - develop branch
Description

Copy of 16854: Cannot attach PDF to email invitation (email template for surveys)
the fix for LS3 is here: https://github.com/LimeSurvey/LimeSurvey/pull/1679

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Sync to Zoho ProjectYes
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

gabrieljenik

gabrieljenik

2020-12-16 22:11

developer   ~60994

@olleThe JS package related to the emailtemplate was removed on develop.
https://github.com/LimeSurvey/LimeSurvey/commit/a790a16b8c2dc47531085f2a15a324f0ebe5390b

Any specific reason?

cdorin

cdorin

2020-12-28 18:08

manager   ~61244

Ping @ollehar

ollehar

ollehar

2021-01-13 17:20

administrator   ~61533

What's the error message?

ollehar

ollehar

2021-01-13 17:21

administrator   ~61534

The emailtemplates packages was a Vue component. Since emailtemplates was reverted to LS3, the package was no longer needed. But maybe something there needs to stay?

gabrieljenik

gabrieljenik

2021-01-14 17:30

developer   ~61543

Good. Will pickup what we need from the package. Thanks!

gabrieljenik

gabrieljenik

2021-01-15 13:53

developer   ~61562

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1720

gabrieljenik

gabrieljenik

2021-01-21 13:36

developer   ~61613

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30869

Related Changesets

LimeSurvey: master b3f4113e

2021-01-19 12:52:20

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16899 & 16950: Attachments on Email Invitations (#1720)

* Fixed issue 16899: Cannot attach PDF to email invitation (email template for surveys) - develop branch

Reinstated js code removed when removing vue packages.

* Fixed issue 16950: publicurl disable attchments
Affected Issues
16899, 16950
mod - application/config/packages.php Diff File
mod - application/controllers/admin/emailtemplates.php Diff File
mod - application/models/SurveyLanguageSetting.php Diff File
add - assets/packages/emailtemplates/emailtemplates.js Diff File
add - assets/packages/emailtemplates/emailtemplates.min.js Diff File
add - assets/packages/emailtemplates/popup-dialog.css Diff File

Issue History

Date Modified Username Field Change
2020-12-10 16:24 cdorin New Issue
2020-12-10 16:24 cdorin Assigned To => gabrieljenik
2020-12-10 16:24 cdorin Priority none => normal
2020-12-10 16:24 cdorin Status new => assigned
2020-12-10 16:24 cdorin Sync to Zoho Project Yes => Yes
2020-12-16 22:11 gabrieljenik Note Added: 60994
2020-12-28 18:08 cdorin Note Added: 61244
2021-01-13 17:20 ollehar Note Added: 61533
2021-01-13 17:20 ollehar Status assigned => feedback
2021-01-13 17:21 ollehar Note Added: 61534
2021-01-14 17:30 gabrieljenik Note Added: 61543
2021-01-15 13:53 gabrieljenik Note Added: 61562
2021-01-21 13:36 gabrieljenik Changeset attached => LimeSurvey master b3f4113e
2021-01-21 13:36 gabrieljenik Note Added: 61613
2021-01-21 13:36 gabrieljenik Resolution open => fixed